VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form MeasurementForm 
   Caption         =   "Measurements"
   ClientHeight    =   6000
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4965
   LinkTopic       =   "Form2"
   ScaleHeight     =   6000
   ScaleWidth      =   4965
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "Excel"
      Height          =   375
      Left            =   120
      TabIndex        =   10
      Top             =   5520
      Width           =   975
   End
   Begin VB.TextBox Text8 
      Height          =   375
      Left            =   120
      TabIndex        =   9
      Text            =   "Click on one line to display the associated object in the image"
      Top             =   4920
      Width           =   4695
   End
   Begin VB.TextBox Text7 
      Height          =   375
      Left            =   3120
      TabIndex        =   8
      Text            =   "Text7"
      Top             =   360
      Width           =   1815
   End
   Begin VB.TextBox Text6 
      BackColor       =   &H80000000&
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Text            =   "ROI area"
      Top             =   360
      Width           =   2655
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Close"
      Height          =   375
      Left            =   3840
      TabIndex        =   6
      Top             =   5520
      Width           =   975
   End
   Begin MSFlexGridLib.MSFlexGrid MSFlexGrid1 
      Height          =   2415
      Left            =   120
      TabIndex        =   5
      Top             =   2400
      Width           =   4695
      _ExtentX        =   8281
      _ExtentY        =   4260
      _Version        =   393216
      Rows            =   9
      Cols            =   4
      RowHeightMin    =   1
   End
   Begin VB.TextBox Text5 
      Alignment       =   2  'Center
      BorderStyle     =   0  'None
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Text            =   "Measurements for each blob"
      Top             =   1920
      Width           =   4575
   End
   Begin VB.TextBox Text4 
      Height          =   375
      Left            =   3120
      TabIndex        =   3
      Text            =   "Text4"
      Top             =   1320
      Width           =   1815
   End
   Begin VB.TextBox Text3 
      BackColor       =   &H80000000&
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Text            =   "Surface of blobs"
      Top             =   1320
      Width           =   2655
   End
   Begin VB.TextBox Text2 
      Height          =   375
      Left            =   3120
      TabIndex        =   1
      Text            =   "Text2"
      Top             =   840
      Width           =   1815
   End
   Begin VB.TextBox Text1 
      BackColor       =   &H80000000&
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Text            =   "Number of blobs"
      Top             =   840
      Width           =   2655
   End
End
Attribute VB_Name = "MeasurementForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private WithEvents Exc As Excel.Application
Attribute Exc.VB_VarHelpID = -1
Public selectcell As Boolean
Public previousObjectIndex
Private Sub Command1_Click()
  If Not Exc Is Nothing Then Exc.Quit
  Set Exc = Nothing
  Hide
End Sub
Private Sub Command2_Click()
'
    Set Exc = New Excel.Application
    Exc.Visible = True
    Exc.Workbooks.Add
'
    Dim lRow As Long, lCol As Long
'
' Excel formatting
' Exc.Cells.NumberFormat = "General"     ' Standard
' Exc.Cells.NumberFormat = "0.00"        ' 2 digits for decimal
' Exc.Cells.NumberFormat = "@"           ' Text
'
    For lRow = 0 To MSFlexGrid1.Rows - 1
        For lCol = 0 To MSFlexGrid1.Cols - 1
            Exc.Cells.Item(lRow + 1, lCol + 1).Value = MSFlexGrid1.TextArray(lCol + lRow * MSFlexGrid1.Cols)
        Next lCol
    Next lRow
'
End Sub

Private Sub Form_Load()
'
' Display values in the form
'
  Text2.Text = number_obj
  Text4.Text = area_obj
  Text7.Text = Roi_Area
'
  MSFlexGrid1.Rows = number_obj + 1
  MSFlexGrid1.Cols = 4
'
  MSFlexGrid1.AllowUserResizing = flexResizeColumns
'
  MSFlexGrid1.TextArray(1) = "PIXEL_CNT"
  MSFlexGrid1.TextArray(2) = "MEAN_INT"
  MSFlexGrid1.TextArray(3) = "COMPACT"
'
' Increase the width of each column
'
  MSFlexGrid1.ColWidth(1) = 1214
  MSFlexGrid1.ColWidth(2) = 1214
  MSFlexGrid1.ColWidth(3) = 1214
'
  J = 4
  For I = 0 To number_obj - 1
    MSFlexGrid1.TextArray(J) = I + 1
    MSFlexGrid1.TextArray(J + 1) = Format(PixelCount(I), "0.00")
    MSFlexGrid1.TextArray(J + 2) = Format(meanintens(I), "0.00")
    MSFlexGrid1.TextArray(J + 3) = Format(ecd(I), "0.00")
    J = J + 4
  Next I
'
  selectcell = False
  previousObjectIndex = -1
'
End Sub
Private Sub MSFlexGrid1_Click()
'
' Shows how message passing could be implemented in VB
'
  Dim col As Integer
  Dim ro As Integer
'
' Get the index of the cell which was selected
'
  row1 = MSFlexGrid1.Row
  Obj_index = row1 - 1
'
' Not the same action depending if it is the first time we select one blob
'
  If selectcell = True Then
    Form1.ApxImageDisplay1.OverlaySet(1).OverlayObject(previousObjectIndex).FillColor = &H20FF0099
  End If
'
  Form1.ApxImageDisplay1.OverlaySet(1).OverlayObject(Obj_index).FillColor = &H2000FF00
'
  previousObjectIndex = Obj_index
  selectcell = True
'
End Sub

